# IRremoteESP8266: src/ir_Magiquest.h File Reference

ir_Magiquest.h File Reference

Support for MagiQuest protocols. More...

Go to the source code of this file.

## Classes

union | magiquest
| MagiQuest packet is both Wand ID and magnitude of swish and flick. More...

## Variables

const uint16_t | kMagiQuestTotalUsec = 1150
const uint8_t | kMagiQuestZeroRatio = 30
const uint8_t | kMagiQuestOneRatio = 38
const uint16_t | kMagiQuestMarkZero = 280
const uint16_t | kMagiQuestSpaceZero = 850
const uint16_t | kMagiQuestMarkOne = 580
const uint16_t | kMagiQuestSpaceOne = 600
const uint32_t | kMagiQuestGap = kDefaultMessageGap

## Detailed Description

Support for MagiQuest protocols.

See also
  https://github.com/kitlaan/Arduino-IRremote/blob/master/ir_Magiquest.cpp
  https://github.com/mpflaga/Arduino-IRremote

## Variable Documentation

## kMagiQuestGap

const uint32_t kMagiQuestGap = kDefaultMessageGap

## kMagiQuestMarkOne

const uint16_t kMagiQuestMarkOne = 580

## kMagiQuestMarkZero

const uint16_t kMagiQuestMarkZero = 280

## kMagiQuestOneRatio

const uint8_t kMagiQuestOneRatio = 38

## kMagiQuestSpaceOne

const uint16_t kMagiQuestSpaceOne = 600

## kMagiQuestSpaceZero

const uint16_t kMagiQuestSpaceZero = 850

## kMagiQuestTotalUsec

const uint16_t kMagiQuestTotalUsec = 1150

## kMagiQuestZeroRatio

const uint8_t kMagiQuestZeroRatio = 30